package com.kmall.admin.service.impl.mk.store;

import com.kmall.admin.dao.mk.store.MkStoreTopicVisitorsDao;
import com.kmall.admin.entity.mk.store.MkStoreTopicVisitorsEntity;
import com.kmall.admin.service.mk.store.MkStoreTopicVisitorsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 门店活动访客记录Service实现类
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-05-24 17:58:24
 */
@Service("mkStoreTopicVisitorsService")
public class MkStoreTopicVisitorsServiceImpl implements MkStoreTopicVisitorsService {
    @Autowired
    private MkStoreTopicVisitorsDao mkStoreTopicVisitorsDao;

    @Override
    public MkStoreTopicVisitorsEntity queryObject(Integer topicVisitorsId) {
        return mkStoreTopicVisitorsDao.queryObject(topicVisitorsId);
    }

    @Override
    public List<MkStoreTopicVisitorsEntity> queryList(Map<String, Object> map) {
        return mkStoreTopicVisitorsDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return mkStoreTopicVisitorsDao.queryTotal(map);
    }

    @Override
    public int save(MkStoreTopicVisitorsEntity mkStoreTopicVisitors) {
        return mkStoreTopicVisitorsDao.save(mkStoreTopicVisitors);
    }

    @Override
    public int update(MkStoreTopicVisitorsEntity mkStoreTopicVisitors) {
        return mkStoreTopicVisitorsDao.update(mkStoreTopicVisitors);
    }

    @Override
    public int delete(Integer topicVisitorsId) {
        return mkStoreTopicVisitorsDao.delete(topicVisitorsId);
    }

    @Override
    public int deleteBatch(Integer[]topicVisitorsIds) {
        return mkStoreTopicVisitorsDao.deleteBatch(topicVisitorsIds);
    }
}
